---
names: 
  full: "Google Cloud MySQL Instance allows anyone to connect with administrative privileges"
  contextual: "MySQL Instance allows anyone to connect with administrative privileges"
description: "It is recommended to set a password for the administrative user (root by default) to \ 
 prevent unauthorized access to the SQL database instances. 
 This recommendation is applicable only for MySQL Instances. PostgreSQL does not offer any setting \ 
 for No Password from the cloud console."
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
impossible: true
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/01/01
  - /frameworks/cloudaware/resource-security/secure-access
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity/knowledge-base/gcp/CloudSQL/configure-root-password-for-mysql.html"
      name: "Configure Root Password for MySQL Database Access"
